#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-delay
version:              0.1.1.1
visibility:           public
id:                   stm-delay-0.1.1.1-EN0Mp40IhK67Oh93jtbvbD
key:                  stm-delay-0.1.1.1-EN0Mp40IhK67Oh93jtbvbD
license:              BSD-3-Clause
copyright:            Copyright (c) Joseph Adams 2012
maintainer:           joeyadams3.14159@gmail.com
author:               Joey Adams
homepage:             https://github.com/joeyadams/haskell-stm-delay
synopsis:             Updatable one-shot timer polled with STM
description:
    This library lets you create a one-shot timer, poll it using STM,
    and update it to ring at a different time than initially specified.

    It uses GHC event manager timeouts when available
    (GHC 7.2+, @-threaded@, non-Windows OS), yielding performance similar
    to @threadDelay@ and @registerDelay@.  Otherwise, it falls back to
    forked threads and @threadDelay@.

    [0.1.1]
    Add tryWaitDelayIO, improve performance for certain cases of @newDelay@
    and @updateDelay@, and improve example.

category:             System
abi:                  6fa3f7ff1bdf3a8df698e1c86575582a
exposed:              True
exposed-modules:      Control.Concurrent.STM.Delay
import-dirs:          /usr/lib/ghc-8.10.5/site-local/stm-delay-0.1.1.1
library-dirs:         /usr/lib/ghc-8.10.5/site-local/stm-delay-0.1.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/i386-linux-ghc-8.10.5/stm-delay-0.1.1.1
hs-libraries:         HSstm-delay-0.1.1.1-EN0Mp40IhK67Oh93jtbvbD
depends:              base-4.14.2.0 stm-2.5.0.1
haddock-interfaces:   /usr/share/doc/haskell-stm-delay/html/stm-delay.haddock
haddock-html:         /usr/share/doc/haskell-stm-delay/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

